/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-08-07
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/Class.hpp>
#include <ls-std/core/evaluator/EmptyStringArgumentEvaluator.hpp>

using ls::standard::core::Class;
using ls::standard::core::EmptyStringArgumentEvaluator;
using std::string;

Class::Class(const string &_name)
{
  this->_assignClassName(_name);
}

Class::~Class() = default;

string Class::getClassName() const
{
  return this->name;
}

void Class::_assignClassName(const string &_name)
{
  EmptyStringArgumentEvaluator{_name, "class name is empty!"}.evaluate();
  this->name = _name;
}
